Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 34028

Summary: NullPointerException during downloading
Product: updatecenters Reporter: _ hair <hair>
Component: AU MastersAssignee: rbalada <rbalada>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: jchalupa, mmirilovic, phrebejk, rnovak, ttran
Version: 3.x   
Target Milestone: 3.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on: 32437    
Bug Blocks:    

Description _ hair 2003-05-29 21:04:54 UTC
NetBeans3.5rc2
j2sdk1.4.2(beta)
RedHat 9

During step 3 of downloading I got:

Annotation: Exception occurred in Request Processor
java.lang.NullPointerException
at
org.netbeans.modules.autoupdate.Downloader.download(Downloader.java:168)
at
org.netbeans.modules.autoupdate.Downloader.downloadAll(Downloader.java:138)
at
org.netbeans.modules.autoupdate.Downloader.access$300(Downloader.java:31)
at
org.netbeans.modules.autoupdate.Downloader$1.run(Downloader.java:76)
at org.openide.util.Task.run(Task.java:136)
at
org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:328)
[catch] at
org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:670)
Comment 1 _ hair 2003-05-29 21:06:49 UTC
Downloading "Javadoc UI Helper". (Seems to only happen with this module).
Comment 2 Milan Kubec 2003-05-30 08:23:39 UTC
This module is not supposed to be there on Autoupdate at all. Rather
it seems that the nbm file is not on AU, but XML document still
contains reference to it.
Comment 3 Milan Kubec 2003-05-30 08:26:23 UTC
Please, Robert can you take a look at it. Thanks.
Comment 4 Milan Kubec 2003-05-30 15:00:30 UTC
Rudo, take a look at issue #33237, it says that mentioned module
should not be on AU.
Comment 5 Jan Chalupa 2003-05-30 15:11:11 UTC
Looks like a problem with the NB Update Center configuration.
Comment 6 rbalada 2003-05-30 16:33:28 UTC
Removed javadochelper.nbm from local copy of Alpha Update Centre,
which is used for generating Alpha UC catalog, and updated alpha
update centre catalog.

To make <l10n> nbms working it's necessary to fix issue 32437 in
release35 branch.
Comment 7 rbalada 2003-06-03 17:20:29 UTC
Fixed
Comment 8 Lukas Hasik 2003-06-04 16:12:10 UTC
unable find javadochelper on UC
marking as verified
Comment 9 rbalada 2003-06-04 16:32:30 UTC
Lukas, would you, please, tell us, whether your verification is
related also to localized NBMs, which were also causing NPE?
Comment 10 Lukas Hasik 2003-06-04 18:14:32 UTC
no, just the Javadoc UI Helper.

I'll test the rest tommorow and let you know.
Comment 11 Lukas Hasik 2003-06-05 13:52:31 UTC
ok, i've tryed all localized modules on NB UC Alpha
there was no problem, if you have any objection Michael reopen ;)
closing.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo